petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCSetChangeOfBasisMat

Set user defined change of basis for dofs

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetChangeOfBasisMat(PC pc, Mat change, PetscBool interior)

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| change | - the change of basis matrix
| interior | - whether or not the change of basis modifies interior dofs

### Notes

### See Also

PCBDDC

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetChangeOfBasisMat_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages